Bug 772995 - Review Request: globus-xioperf - XIO Performance Tool
Summary: Review Request: globus-xioperf - XIO Performance Tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-10 15:51 UTC by Mattias Ellert
Modified: 2012-03-01 01:05 UTC (History)
4 users (show)

Fixed In Version: globus-xioperf-3.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-25 08:27:23 UTC
steve.traylen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2012-01-10 15:51:12 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-xioperf.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-xioperf-3.0-1.fc16.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-xioperf package contains:
XIO Performance Tool

Comment 2 Steve Traylen 2012-02-12 13:21:02 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
ASL 2.0 and clear like globus packages.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
rhel5 being targeted
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
Epel 5 being targeted
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
present but epel5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
Globus guideliens.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint globus-xioperf-3.0-2.fc18.i686.rpm

globus-xioperf.i686: I: enchant-dictionary-not-found en_US
globus-xioperf.i686: W: no-manual-page-for-binary globus-xioperf
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint globus-xioperf-3.0-2.fc18.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint globus-xioperf-debuginfo-3.0-2.fc18.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/steve/tmp/review/772995/globus_xioperf-3.0.tar.gz :
  MD5SUM this package     : bb493c622f033257f2f7171e3f72abe8
  MD5SUM upstream package : bb493c622f033257f2f7171e3f72abe8

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD %check is present and all tests pass.
[x]: SHOULD Spec use %global instead of %define.

Issues:
None

Comments:
There is a (trivial) patch file being applied with no comment as to why.



Generated by fedora-review 0.1.2
External plugins:

Comment 3 Mattias Ellert 2012-02-13 09:05:58 UTC
Thank you for the review.

The patch adds the missing functional group tag to the GPT metadata file. This is not really vital for building the package, but the globus-spec-creator script uses this information to select which README file to add to the package. I'll add a comment to the spec file. The patch has been sent upstream so I hope I can kick it out on the next update.

New Package SCM Request
=======================
Package Name: globus-xioperf
Short Description: Globus Toolkit - XIO Performance Tool
Owners: ellert
Branches: f15 f16 f17 el4 el5 el6
InitialCC:

Comment 4 Gwyn Ciesla 2012-02-13 14:55:37 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-02-14 17:25:13 UTC
globus-xioperf-3.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/globus-xioperf-3.0-2.el6

Comment 6 Fedora Update System 2012-02-14 17:25:21 UTC
globus-xioperf-3.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-xioperf-3.0-2.el5

Comment 7 Fedora Update System 2012-02-14 17:25:30 UTC
globus-xioperf-3.0-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/globus-xioperf-3.0-2.el4

Comment 8 Fedora Update System 2012-02-14 17:25:42 UTC
globus-xioperf-3.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/globus-xioperf-3.0-2.fc16

Comment 9 Fedora Update System 2012-02-14 17:25:51 UTC
globus-xioperf-3.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/globus-xioperf-3.0-2.fc15

Comment 10 Fedora Update System 2012-02-15 01:20:01 UTC
globus-xioperf-3.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2012-02-25 08:27:23 UTC
globus-xioperf-3.0-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2012-02-25 08:34:53 UTC
globus-xioperf-3.0-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2012-03-01 01:03:06 UTC
globus-xioperf-3.0-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 14 Fedora Update System 2012-03-01 01:05:46 UTC
globus-xioperf-3.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2012-03-01 01:05:58 UTC
globus-xioperf-3.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.